﻿' -----------------------------------------------------------------------------------------
'
' DrehzahlDreiD                                                     Ulrich Müller  17.01.10
'                                                                   Aspire  VB 2008 Express
' FishFaceTX : Messung Motordrehzahl mit dem ROBO TX Controller
'              Der Motor sitzt mit 2:1 an der Achse des 6er-Impulsrades
'
' -----------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports FishFaceTX

Module DrehzahlDreiD

  Const ImpulseUmdrehung = 6
  Const Untersetzung = 2
  Const Messdauer = 15

  Dim tx As New FishFace()
  Const Lampe As Out = Out.O3
  Const Photo As Cnt = Cnt.C1
  Const Motor As Mot = Mot.M1

  Sub Action()
    Dim Impulse As Integer
    Dim Drehzahl As Single
    tx.SetLamp(Lampe, Dir.On)
    tx.SetMotor(Motor, Dir.Left)
    tx.Pause(1234)
    tx.ClearCounter(Photo)

    For i As Integer = 1 To Messdauer
      tx.Pause(1000)
      Console.Write("{0:0}-", i)
    Next
    Console.WriteLine("OK")

    tx.SetLamp(Lampe, Dir.Off)
    tx.SetMotor(Motor, Dir.Off)
    Impulse = tx.GetCounter(Photo)
    Drehzahl = Impulse / (ImpulseUmdrehung / Untersetzung) * (60 / Messdauer)

    Console.WriteLine("ImpulseUmdreh. : {0:0}", ImpulseUmdrehung)
    Console.WriteLine("Untersetzung   : {0:0.00} : 1", Untersetzung)
    Console.WriteLine("Messdauer      : {0:##00} sec", Messdauer)
    Console.WriteLine("Impulse        : {0:##00}", Impulse)
    Console.WriteLine("ImpulsInterval : {0:#0.0} msec", 1000 / Impulse * Messdauer)
    Console.WriteLine("Drehzahl       : {0:#00.0} 1/min", Drehzahl)
  End Sub
#Region "--- ProgramControl ---"
  Sub Main()
    Try
      tx.OpenController("COM4")
      Console.WriteLine("--- Bei der Arbeit, Abbruch ESC-Taste ---")
      Action()
    Catch ex As FishFaceException
      Console.WriteLine(ex.Message)
    Finally
      tx.CloseController()
      Console.WriteLine("--- FINITO : RETURN drücken ---")
      Console.Read()
    End Try
  End Sub
#End Region
End Module
