﻿' ---------------------------------------------------------------------------------------
'
' DrehzahlEinsD                                                    Ulrich Müller 17.01.10
'                                                                  Aspire  VB2008 Express
' Drehzahlmessung eines untersetzten Motor direkt an der Lichtschranke zur Impulsmessung
' Motor an M1, Lampe an O3, Phototransistor an C1
'
' ---------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports FishFaceTX

Module DrehzahlEinsD
  Const ImpulseUmdrehung = 6
  Const Untersetzung     = 2
  Const Messdauer        = 15

  Dim tx As New FishFace()

  Sub Main()
    Dim Drehzahl
    tx.OpenController("COM4")

    tx.SetLamp(Out.O3, Dir.On)
    tx.ClearCounter(Cnt.C1)
    tx.SetMotor(Mot.M1, Dir.Left)

    tx.Pause(Messdauer * 1000)

    tx.SetMotor(Mot.M1, Dir.Off)
    tx.SetLamp(Out.O3, Dir.Off)
    Drehzahl = _
        tx.GetCounter(Cnt.C1) / (ImpulseUmdrehung / Untersetzung) * (60 / Messdauer)

    Console.WriteLine("Drehzahl : " & Drehzahl & " 1/min")

    tx.CloseController()
    Console.ReadLine()
  End Sub

End Module
