﻿' -----------------------------------------------------------------------------------------
'
' RadarTurm                                                          Ulrich Müller 25.01.10
'                                                                    Aspire VB 2008 Express
' Drehkranz mit Motor M1, Endtaster I1, Impulstaster C1 und Ultraschallsensor I8
' scannt die Umgebung auf Gegenstände und macht Positions- und Entfernungsangaben
' bei Unterschreitung DistLimit wird die rote Lampe an O3 eingeschaltet
'              Basis Robo TX Controller und FishFaceTX.DLL
'
' -----------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports FishFaceTX

Module RadarTurm
  Dim tx As New FishFace()
  Const SchrittWeite = 10
  Const DistLimit = 16

  Sub Main()
    tx.OpenController("COM4")
    Console.WriteLine("gestartet")

    tx.SetMotor(Mot.M1, Dir.Left)
    tx.WaitForInput(Unv.I1)
    tx.SetMotor(Mot.M1, Dir.Off)

    Do Until tx.Finish()
      For i As Int32 = 0 To 101 Step SchrittWeite
        Distance(Dir.Right, i)
      Next
      For i As Int16 = 100 To 0 Step -SchrittWeite
        Distance(Dir.Left, i)
      Next
    Loop
    tx.CloseController()
    Console.WriteLine("FINIS")
    Console.ReadLine()
  End Sub

  Sub Distance(ByVal Turn As Dir, ByVal Pos As Int32)
    Dim Distanz As Int32
    Distanz = tx.GetDistance(Unv.I8)
    If Distanz < DistLimit Then
      tx.SetLamp(Out.O3, Dir.On)
    Else
      tx.SetLamp(Out.O3, Dir.Off)
    End If
    Console.WriteLine("Position : {0:000} Radarwert : {1:0000}", Pos, Distanz)
    tx.StartRobMotor(Mot.M1, Turn, 512, SchrittWeite)
    tx.WaitForMotor(Mot.M1)
  End Sub
End Module
